Get Shopping List
Get a shopping list detail information
Authentication
X-Auth-Tokenstring
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
X-Store-Hashstring
Path parameters
shoppingListId
The unique ID for a shopping list.
Query parameters
userId
B2B Edition buyer user ID, you can enter a user ID to check if this user can view this shopping list.
sortBy
the field to sort by
Allowed values:
orderBy
desc or asc for sort by
Allowed values:
customerId
BigCommerce customer ID, passing this parameter will obtain the shopping list according to the b2c user.
offset
Pagination offset for shopping list items
limit
Pagination limit for shopping list items
Response
OK
code
Response code of success request.
meta
data
Response data
Errors
404
Not Found Error